# FeedChannel Class Reference
[Feed's parsers]

List of all members.

## Public Member Functions

| __construct ($title)
| getTitle ()
| setTitle ($title)
| getDescription ()
| setDescription ($description)
| getLink ()
| setLink ($link)
| getFeedItems ()
| setFeedItems ($feedItems)
| addFeedItem (FeedItem $feedItem)

## Static Public Member Functions

static | create ($title)

## Private Attributes

| $title = null
| $link = null
| $description = null
| $feedItems = array()

## Detailed Description

Definition at line 15 of file FeedChannel.class.php.

## Constructor & Destructor Documentation

FeedChannel::__construct | ( | $ | title | ) |

Definition at line 30 of file FeedChannel.class.php.

References $title.

## Member Function Documentation

FeedChannel::addFeedItem | ( | FeedItem $ | feedItem | ) |

Returns:
  FeedChannel

Definition at line 98 of file FeedChannel.class.php.

static FeedChannel::create | ( | $ | title | ) | `[static]`

Returns:
  FeedChannel

Definition at line 25 of file FeedChannel.class.php.

References $title.

Referenced by RssChannelWorker::makeChannel(), and AtomChannelWorker::makeChannel().

FeedChannel::getDescription | ( |  | ) |

Definition at line 50 of file FeedChannel.class.php.

Referenced by RssChannelWorker::toXml().

FeedChannel::getFeedItems | ( |  | ) |

Definition at line 80 of file FeedChannel.class.php.

Referenced by FeedFormat::toXml().

FeedChannel::getLink | ( |  | ) |

Definition at line 65 of file FeedChannel.class.php.

Referenced by RssChannelWorker::toXml().

FeedChannel::getTitle | ( |  | ) |

Definition at line 35 of file FeedChannel.class.php.

Referenced by RssChannelWorker::toXml().

FeedChannel::setDescription | ( | $ | description | ) |

Returns:
  FeedChannel

Definition at line 58 of file FeedChannel.class.php.

References $description.

FeedChannel::setFeedItems | ( | $ | feedItems | ) |

Returns:
  FeedChannel

Definition at line 88 of file FeedChannel.class.php.

References $feedItems.

FeedChannel::setLink | ( | $ | link | ) |

Returns:
  FeedChannel

Definition at line 73 of file FeedChannel.class.php.

References $link.

FeedChannel::setTitle | ( | $ | title | ) |

Returns:
  FeedChannel

Definition at line 43 of file FeedChannel.class.php.

References $title.

## Member Data Documentation

FeedChannel::$description = null`[private]`

Definition at line 19 of file FeedChannel.class.php.

Referenced by setDescription().

FeedChannel::$feedItems = array()`[private]`

Definition at line 20 of file FeedChannel.class.php.

Referenced by setFeedItems().

FeedChannel::$link = null`[private]`

Definition at line 18 of file FeedChannel.class.php.

Referenced by setLink().

FeedChannel::$title = null`[private]`

Definition at line 17 of file FeedChannel.class.php.

Referenced by __construct(), create(), and setTitle().

The documentation for this class was generated from the following file:

- main/Markup/Feed/FeedChannel.class.php